Loading...
Searching...
No Matches
volk_machine_defs Namespace Reference

## Data Structures

class | machine_class

## Functions

| register_machine (name, archs)

## Variables

| machines = list()
| machine_dict = dict()
| gendir = os.path.dirname(__file__)
| machines_xml = minidom.parse(os.path.join(gendir, 'machines.xml')).getElementsByTagName('machine')
| kwargs = dict()
| name = node.tagName
| val = machine_xml.getElementsByTagName(name)[0].firstChild.data

## Function Documentation

## register_machine()

volk_machine_defs.register_machine | ( |  | name,
|  |  | archs )

## Variable Documentation

## gendir

volk_machine_defs.gendir = os.path.dirname(__file__)

## kwargs

volk_machine_defs.kwargs = dict()

## machine_dict

volk_machine_defs.machine_dict = dict()

## machines

volk_machine_defs.machines = list()

## machines_xml

volk_machine_defs.machines_xml = minidom.parse(os.path.join(gendir, 'machines.xml')).getElementsByTagName('machine')

## name

volk_machine_defs.name = node.tagName

## val

volk_machine_defs.val = machine_xml.getElementsByTagName(name)[0].firstChild.data